%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	Serial terminal for the Gnome desktop
Name:		moserial
Version:	3.0.6
Release:	%mkrel 1
Group:		Communications
License:	GPLv3+
URL:		http://live.gnome.org/moserial/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		moserial-3.0.2-str-fmt.patch
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
Requires:	hicolor-icon-theme
Requires:	yelp

%description
Moserial is a clean, friendly gtk-based serial terminal for the Gnome
desktop. It is written in Vala for extra goodness.

%prep
%setup -q
%patch0 -p0 -b .strfmt

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name} --with-gnome

for omf in %{buildroot}%{_datadir}/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog ChangeLog.pre-git MAINTAINERS NEWS
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*


%changelog

* Fri Mar 02 2012 ovitters <ovitters> 3.0.6-1.mga2
+ Revision: 216913
- new version 3.0.6

* Tue Jan 24 2012 wally <wally> 3.0.5-1.mga2
+ Revision: 200590
- new version 3.0.5

* Sat Jan 21 2012 fwang <fwang> 3.0.4-1.mga2
+ Revision: 199331
- new version 3.0.4

* Thu Jan 19 2012 fwang <fwang> 3.0.3-1.mga2
+ Revision: 198040
- new version 3.0.3

* Wed Oct 05 2011 wally <wally> 3.0.2-1.mga2
+ Revision: 152040
- new version 3.0.2
- rediff str fmt patch

* Thu Sep 01 2011 wally <wally> 3.0.1-2.mga2
+ Revision: 137693
- clean patch

* Thu Sep 01 2011 wally <wally> 3.0.1-1.mga2
+ Revision: 137690
- imported package moserial

